
Foreman - Bug #2545

EC2 instance does not show EC2 related options in Edit page.

05/22/2013 10:32 AM - Kamil Winczek

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

EC2 type of instance, while edited, under Operating System tab provides Media, Partition Table, Custom Disk Layout and Root

Password instead of just an Architecture, Operating system and Image.

This causes problem with saving edited instance. Foreman says that Image is not selected and won't save the instance. Selecting

any  Partition Table from the list allows instance to be saved.

Related issues:

Related to Foreman - Bug #2551: new host image not always visible under opens... Closed 05/23/2013

Associated revisions

Revision 7164f367 - 06/03/2013 05:42 AM - Ohad Levy

fixes #2545 - EC2 instance does not show EC2 related options in Edit page.

Revision 2f2c5ea3 - 06/04/2013 01:06 PM - Ohad Levy

fixes #2545 - EC2 instance does not show EC2 related options in Edit page.

(cherry picked from commit 7164f367646dcd30b53f53d0865788ce15c3666d)

History

#1 - 05/22/2013 10:37 AM - Ohad Levy

- Target version set to 1.2.0

#2 - 05/28/2013 10:03 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#3 - 05/30/2013 02:30 PM - Ohad Levy

Any chance you can try to reproduce this with 1.2 RC2? I think we've fixed it already.

#4 - 05/31/2013 06:36 AM - Kamil Winczek

Issue still occurs with 2e1e6f713d49ef6f5274d798f8882faa2579f680 and https://github.com/witlessbird/foreman/commit/262baf0.patch applied on top

of it.

#5 - 06/02/2013 03:21 AM - Joseph Magen

Kamil, it looks like your patch was already included in.  I assume this issue can be closed.  Please confirm.

commit b08d7e45fbdea5f80fad5254e70d8b2004c05e36

Author: Dmitri Dolguikh <dmitri@appliedlogic.ca>

Date:   Fri May 31 10:32:55 2013 +0100

fixes #2588 - fixed regression introduced earlier: localization works for non-AR classes too now

 app/helpers/layout_helper.rb
commit 2e1e6f713d49ef6f5274d798f8882faa2579f680

Author: Dmitri Dolguikh <dmitri@appliedlogic.ca>

Date:   Thu May 30 14:48:25 2013 +0100

fixes #2588 - table name used for localization is being determined correctly now for sti classes.

 app/helpers/layout_helper.rb

#6 - 06/02/2013 03:51 AM - Joseph Magen

I misunderstood.  I think you wrote that it still doesn't work after applying the patch.  I originally thought that you were sending the .patch as a soluion.

#7 - 06/02/2013 06:45 AM - Ohad Levy

- Category set to Web Interface

- Assignee changed from Joseph Magen to Ohad Levy

#8 - 06/02/2013 06:48 AM - Ohad Levy

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/675

#9 - 06/03/2013 06:17 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7164f367646dcd30b53f53d0865788ce15c3666d.

#10 - 06/03/2013 06:37 AM - Kamil Winczek

Working now. Thank you.

#11 - 06/03/2013 06:42 AM - Dominic Cleal

Kamil Winczek wrote:

Working now. Thank you.

 Thanks for confirming!
